------------------------------------------------------------
revno: 9052
revision-id: squid3@treenet.co.nz-20090616233241-0wlsez3q9t8gf0z2
parent: amosjeffries@squid-cache.org-20090615072905-4t1c958u5kc8uvon
committer: Amos Jeffries <squid3@treenet.co.nz>
branch nick: SQUID_3_0
timestamp: Wed 2009-06-17 11:32:41 +1200
message:
  Fix Signed/Unsigned build error
------------------------------------------------------------
# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: squid3@treenet.co.nz-20090616233241-0wlsez3q9t8gf0z2
# target_branch: http://www.squid-cache.org/bzr/squid3/branches\
#   /SQUID_3_0/
# testament_sha1: 59404ce38e91dbec85eda3672d273b31b31d86f5
# timestamp: 2009-06-16 23:33:54 +0000
# source_branch: http://www.squid-cache.org/bzr/squid3/branches\
#   /SQUID_3_0
# base_revision_id: amosjeffries@squid-cache.org-20090615072905-\
#   4t1c958u5kc8uvon
# 
# Begin patch
=== modified file 'src/client_side.cc'
--- src/client_side.cc	2009-05-09 07:24:35 +0000
+++ src/client_side.cc	2009-06-16 23:32:41 +0000
@@ -2141,7 +2141,7 @@
     // when we read chunked requests, the entire body is buffered
     // XXX: this check ignores header size and its limits.
     if (conn->in.dechunkingState == ConnStateData::chunkParsing)
-        return conn->in.notYetUsed < Config.maxChunkedRequestBodySize;
+        return ((int64_t)conn->in.notYetUsed) < Config.maxChunkedRequestBodySize;
 
     return conn->in.notYetUsed >= Config.maxRequestHeaderSize ? 0 : 1;
 }

